function output_results_2D(energy,norm_disp,norm_E,norm_Ereco,disp,stress_nod)

%------------------------------------------------------------------------
%  Purpose:
%     Output error norms and plot the results of displacement and stress
%
%  Synopsis:
%     output_results_2D(energy,norm_disp,norm_E,norm_Ereco,disp,stress_nod)
%
%  Variable Description:
%   energy     = strain energy of the problem
%   norm_disp  = error norm in displacement 
%   norm_E     = error norm in strain energy
%   norm_Ereco = recovery error norm in strain energy
%   disp       = system nodal displacement vector
%   stress_nod = matrix containing stresses of nodes
%--------------------------------------------------------------------------
% Coded by Dr. Nguyen Thoi Trung (Nguyen-Thoi T or Nguyen T.T)            %
% University of Science - Vietnam National University  HCMC, Vietnam     %
% National University of Singapore (NUS)                                  %
% email: thoitrung76@gmail.com                                            %
% Last modified: December 2009                                            %
%--------------------------------------------------------------------------

global method

fprintf('---------------------------------------------------------------\n')

fprintf(1,'Strain energy of the problem = %f\n',energy(1,1))

fprintf(1,'Error norm in displacement = %f\n',norm_disp)

switch method
    case 'FEM_T3'
        fprintf(1,'Error norm in strain energy = %f\n',norm_E)
    case 'FEM_Q4'
        fprintf(1,'Error norm in strain energy = %f\n',norm_E)   
end

fprintf(1,'Error norm in recovery strain energy = %f\n',norm_Ereco)

output_disp_line_2D(disp);
output_stress_line_2D(stress_nod);
output_stress_domain_2D(stress_nod);