function output_stress_domain_2D(stress_nod)

%------------------------------------------------------------------------
%  Purpose:
%     Plot the results of stress on the whole domain
%
%  Synopsis:
%     output_stress_domain_2D(stress_nod)
%
%  Variable Description:
%   stress_nod = matrix containing stresses of nodes
%--------------------------------------------------------------------------
% Coded by Dr. Nguyen Thoi Trung (Nguyen-Thoi T or Nguyen T.T)            %
% University of Science - Vietnam National University  HCMC, Vietnam     %
% National University of Singapore (NUS) (2005-2010)                      %
% email: thoitrung76@gmail.com                                            %
% Last modified: December 2009                                            %
%--------------------------------------------------------------------------

% Important note: The authors decided to release the source codes free of charge with the hope that the S-FEM technique 
% can be applied to more problems and can be further developed into even more powerful methods. 
% The authors are not be able to provide any services or user-guides, but appreciate very much your feedback on errors and suggestions, 
% so that we can improve these codes/methods in the future. If the idea, method, and any part of these codes are used in anyway,
% the users are required to cite the book and the following related original papers of the authors:

% Liu GR, The Finite element method  a practical course, Elsevier (BH), UK.  2003.
% Liu, G. R. and Nguyen Thoi Trung, Smoothed Finite Element Method, CRC press, Boca Raton, USA, 2010.
%--------------------------------------------------------------------------

global  ele_nods gcoord

visfem(2,stress_nod(1,:),ele_nods,gcoord);  % plot stress sigma_xx
%visfem(2,stress_nod(2,:),ele_nods,gcoord);  % plot stress sigma_yy
%visfem(2,stress_nod(3,:),ele_nods,gcoord);  % plot stress sigma_xy

%-------------------------------------------------------------------------
% Compute the von-Mises stress at all nodes of problem domain
%-------------------------------------------------------------------------
%stressVM_nod=cal_stress_vonmises(stress_nod);
%visfem(2,stressVM_nod,ele_nods,gcoord);    % plot stress von-Mises
